%define piname	weather_routing_pi

Name:		opencpn-weather-routing-plugin
Summary:	Weatherfax plugin for OpenCpn
Version:	1.10.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	portaudio-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin creates optimized weather routes using isochrone method and
predictive grib data or averaged gridded Climate data based upon constraint
settings, start and finish information and boat performance calculated using
boat specs or polar data.
Use the Grib Plugin and recently downloaded grib files for completing grib
predictive routing (1-8 days).
Use the Climatology Plugin to find cruising routes, (most useful in prevailing
winds areas)
Use both grib and climatology data, allowing the grib's route to be extended
past time/range, or to use current data if the grib does not contain it, or to
use climatology to avoid areas of cyclones.

%prep
%setup -q -n %{piname}

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/*


%changelog
* Mon Aug 01 2016 barjac <barjac> 1.10.1-1.mga6
+ Revision: 1044184
- new version 1.10.1

* Thu Jun 02 2016 barjac <barjac> 1.8.3-2.mga6
+ Revision: 1020018
- rebuild for wxgtk3.0 built with GTK2
- revert previous update - use make_build
- new version 1.10

* Tue May 10 2016 barjac <barjac> 1.8.3-1.mga6
+ Revision: 1011992
- new version 1.8.3

* Tue Feb 16 2016 barjac <barjac> 1.8.2-2.mga6
+ Revision: 962360
- changed buildrequire wxgtku3.0

* Tue Feb 09 2016 barjac <barjac> 1.8.2-1.mga6
+ Revision: 951003
- new version 1.8.2

* Tue Dec 08 2015 barjac <barjac> 1.8-1.mga6
+ Revision: 908794
- new package opencpn-weather-routing-plugin

